Skip to content
Start here

Get Queue Metrics

client.Queues.GetMetrics(ctx, queueID, query) (*QueueGetMetricsResponse, error)
GET/accounts/{account_id}/queues/{queue_id}/metrics

Return best-effort metrics for a queue. Values may be approximate due to the distributed nature of queues.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteQueues ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
queueID string

A Resource identifier.

maxLength32
query QueueGetMetricsParams
AccountID param.Field[string]

A Resource identifier.

maxLength32
ReturnsExpand Collapse
type QueueGetMetricsResponse struct{…}

Best-effort metrics for the queue. Values may be approximate due to the distributed nature of queues.

BacklogBytes float64

The size in bytes of unacknowledged messages in the queue.

BacklogCount float64

The number of unacknowledged messages in the queue.

OldestMessageTimestampMs float64

Unix timestamp in milliseconds of the oldest unacknowledged message in the queue. Returns 0 if unknown.

Get Queue Metrics

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Queues.GetMetrics(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.QueueGetMetricsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.BacklogBytes)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "backlog_bytes": 1024,
    "backlog_count": 5,
    "oldest_message_timestamp_ms": 1710950954154
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "backlog_bytes": 1024,
    "backlog_count": 5,
    "oldest_message_timestamp_ms": 1710950954154
  },
  "success": true
}